/**
 * Feuille de styles des blocs de données niveau 0, 1, 2, borderless et cadre.
 *
 * @author Frédéric GILBERT
 */

/************************************/
/*** bloc niveau 0     		      ***/
/************************************/
div.b0 {
	background-color: white;
	min-width:705px;
}

/* bloc niveau 0 - bloc titre */
div.b0 div.btit {
	color: #00A6EB;
	float: left;
	margin: 0 0 9px 0; /*La marge haute du corps d'un bloc 0 est placé ici car cela ne marche pas dans la classe body sous IE du fait du clear:left !!*/
	white-space : nowrap;
}

/* bloc niveau 0 - légende du symbole champ obligatoire */
span.msl {
	display:block;
	float: right !important;
	margin-top : 0.3em;
}

/* Mise en évidence (rouge) du symbole de champ obligatorie dans la légende correspondante*/
/* voir dans Fields.css#div.b0 div.msl em*/


/* bloc niveau 0 - bloc contenu avec boutons */
div.mib {
	height: 1%;
	clear: left;
}

/* bloc niveau 0 - bloc contenu sans bouton */
div.mi {
	height: 1%;
	clear: left;
	padding-bottom: 2px; /*marge basse intra bloc 0 se rajoute à la marge-basse interbloc des blocs 1*/
}


/* bloc des actions */
ol.bbtn {
	display: inline;	
	float: right;
	list-style-type: none;
	margin-top: 3px;
}

ol.bbtn li {
    display: inline;
    float:left;
    margin-left: 7px;
}




/* Bloc niveau 1 & 2 : Etiquette de filtre de bloc */
div.bfil label.select {
	margin: 3px 2px 1px 2px;
	color: white;
}

/************************************/
/*** bloc niveau 1                					***/
/************************************/


/* bloc niveau 1 - bloc titre */
div.b1 div.btit {
	background-color: #00A6EB;
	color: white;
	display: block;
	float: left;
	padding: 3px 3em 0px 5px ;
	margin: 0px;
	width: auto;
	height: 1.50em; /* S'ajuste à la hauteur d'un filtre combo box éventuel. Nécéssaire lorsque l'utilisateur augmente la taille du texte par défaut */
}

/* bloc niveau 1 - bloc filtre */
div.b1 div.bfil {
	background-color: #00A6EB;
	color: white;
	display: block;
	float: left;
	padding: 0 0.5em 0 0;
}

div.b1 div.bfil select, div.b1 div.bfil input {
	height: 1.45em; /* Fixe la même hauteur selon la casse du contenu*/
	padding :0;
	margin: 1px 0;
	border: 1px solid #81A6D0;
}

div.b1 div.bfil input.rdo {
	margin: 0px 0px 0px 0px;
	border: none ;
}

div.b1 div.bfil label.rdo{
	margin :0;
	padding: 2px 0.5em 0px 3px ;
	color: white;
	height: 1em;
}


/* bloc niveau 1 - bloc contenu */
div.b1 div.bdy {
	border: 1px solid #81A6D0;
	clear: left;
	height: auto;
	margin: 0px;
	padding:0px;
}

/***** marges externes (inter-blocs) bloc 1.*/
/*marge horizontale*/
div.hmeb1{
	margin-left: 12px ;
}
/* marge verticale bloc 1 sans boutons*/
div.vmeb1{
	margin-bottom: 14px;
}
/* marge verticale bloc 1 avec boutons*/
div.vmebb1{
	margin-bottom: 12px;
}

/***** marges internes (intra-bloc) bloc 1*/
/*marges internes (mi) intra-bloc lorsque le contenu d'un bloc 1 sans boutons est un tableau*/
div.b1 div.miTbl{
	padding-top: 0px;
	padding-left: 0px;
	padding-bottom: 5px;
	padding-right: 0px;
}
/*marges internes (mi) intra-bloc lorsque le contenu d'un bloc 1 avec boutons est un tableau */
div.b1 div.mibTbl{
	padding-top: 0px;
	padding-left: 0px;
	padding-bottom: 14px;
	padding-right: 0px;
}
/*marges internes (mi) intra-bloc lorsque le contenu d'un bloc 1 sans boutons est un bloc niveau 2*/
div.b1 div.miB2{
	padding-top: 8px;
	padding-left: 8px;
	padding-bottom: 0px; /*gérée par la marge inter-bloc des blocs contenus*/
	padding-right: 8px;
}

/*marges internes (mi) intra-bloc lorsque le contenu d'un bloc 1 avec boutons est un tableau */
div.b1 div.mibB2{
	padding-top: 8px;
	padding-left: 8px;
	padding-bottom: 0px; /*gérée par la marge inter-bloc des blocs contenus*/
	padding-right: 8px;
}

/*marges internes (mi) intra-bloc lorsque le contenu d'un bloc 1 sans boutons est un formulaire*/
div.b1 div.miFld{
	padding-top: 4px;
	padding-left: 4px;
	padding-bottom: 5px; /*gérée par la marge inter-bloc des blocs contenus*/
	padding-right: 4px;
}

/*marges internes (mi) intra-bloc lorsque le contenu d'un bloc 1 avec boutons est  un formulaire */
div.b1 div.mibFld{
	padding-top: 4px;
	padding-left: 4px;
	padding-bottom: 14px; /*gérée par la marge inter-bloc des blocs contenus*/
	padding-right: 4px;
}

/* barre de navigation */
div.b1 ol.nav {
	background-color: #00A6EB;
	color:white;
	float: left;
	list-style-type: none;
	margin: -3px 0px 0px 6px;
	padding: 0px;
}

/**** Barre de navigation ****/
ol.nav{
	padding: 0;
	margin: 0;
	list-style: none;
    vertical-align: middle;
    text-align: center;
}

ol.nav li {
	float: left;
   	width: 2em;
   	margin-top: 1px;
   	margin-bottom: 2px;
   	height: 1.1em;
}
/* Le no de la page courante sur le nombre de page*/
ol.nav li.pnb {
	width: 5em; /* largeur de la zone numéro de page */
   	margin:0;
	color: white;
 }

ol.nav li a {
	text-decoration: none ;
}

/* Bouton de navigation première page - enabled*/
ol.nav li.fst {
	background: url(../images/blocs/PagingFirstWhite.gif) no-repeat center center;
}
/* Bouton de navigation première page - disabled*/
ol.nav li.fst-dis {
	background: url(../images/blocs/PagingFirstCyan_disabled.gif) no-repeat center center;
}

/* Bouton de navigation  page précédente - enabled*/
ol.nav li.prv {
	background: url(../images/blocs/PagingPreviousWhite.gif) no-repeat center center;
}
/* Bouton de navigation  page précédente - disabled*/
ol.nav li.prv-dis {
	background: url(../images/blocs/PagingPreviousCyan_disabled.gif) no-repeat center center;
}

/* Bouton de navigation  page suivante - enabled*/
ol.nav li.nxt {
	background: url(../images/blocs/PagingNextWhite.gif) no-repeat center center;
}
/* Bouton de navigation  page suivante - disabled*/
ol.nav li.nxt-dis {
	background: url(../images/blocs/PagingNextCyan_disabled.gif) no-repeat center center;
}

/* Bouton de navigation dernière page - enabled*/
ol.nav li.lst {
	background: url(../images/blocs/PagingLastWhite.gif) no-repeat center center;
}
/* Bouton de navigation dernière page - disabled*/
ol.nav li.lst-dis {
	background: url(../images/blocs/PagingLastCyan_disabled.gif) no-repeat center center;
}

/*Le compteur de page courante*/
ol.nav li span {
	float: none; /* annule l'alignement à gauche par défaut imposé par les tags de placement */	
}

/***** boutons des blocs ******/
div.b1 ol.bbtn {
	float: right; /* alignement à droite des boutons */
	list-style-type: none;
	margin: -9px 17px 0px 0px;
}


/************************************/
/*** bloc niveau 2                ***/
/************************************/
div.b2 {
}

/* bloc niveau 2 - bloc titre */
div.b2 div.btit {
	background: none;
	color: white;
	float: left;	
	height: 1.5em;
	margin-bottom: -0.4em;
	padding: 0.3em 2em 0.1em 0.7em;
}

/* bloc niveau 2 - filter */
div.b2 div.bfil {
	color: white;
	display: block;
	float: left;
	height: 1.5em;
	margin-bottom: -0.5em;
}

/* bloc niveau 2 - bloc contenu */
div.b2 div.bdy {
	border-width: 5px 1px 1px 1px;
	border-color: #81A6D0;
	border-top-color: #2F8D99 ;
	clear: both;
	height: 1%; /* The IE Escaping Floats Bug : disparition des bordures */
	margin: 0px;
	padding: 0px;
}
/**** marges externes (inter-bloc) bloc 2. Le style CSS étant posé sur la DIV la plus englobante (portant le style b2), le style parent est bien div.b1 et non div.b2*/
/*marge horizontale*/
div.hmeb2{
	margin-left: 10px ;	
}
/* marge verticale bloc 1 sans boutons*/
div.vmeb2{
	margin-bottom: 8px;
}
/* marge verticale bloc 1 avec boutons*/
div.vmebb2{
	margin-bottom: 17px;
}

/**** marges internes (intra-bloc) bloc 2*/
/*marges internes (mi) intra-bloc lorsque le contenu d'un bloc 2 sans boutons est un tableau*/
div.b2 div.miTbl{
	padding-top: 0px;
	padding-left: 0px;
	padding-bottom: 5px;
	padding-right: 0px;
}
/*marges internes (mi) intra-bloc lorsque le contenu d'un bloc 2 avec boutons est un tableau */
div.b2 div.mibTbl{
	padding-top: 0px;
	padding-left: 0px;
	padding-bottom: 14px;
	padding-right: 0px;
}

/*marges internes (mi) intra-bloc lorsque le contenu d'un bloc 2 sans boutons est un bloc niveau 2*/
div.b2 div.miFld{
	padding-top: 4px;
	padding-left: 4px;
	padding-bottom: 4px; /*gérée par la marge inter-bloc des blocs contenus*/
	padding-right: 4px;
}

/*marges internes (mi) intra-bloc lorsque le contenu d'un bloc 2 avec boutons est un tableau */
div.b2 div.mibFld{
	padding-top: 4px;
	padding-left: 4px;
	padding-bottom: 13px; /*gérée par la marge inter-bloc des blocs contenus*/
	padding-right: 4px;
}


/************************************/
/*** bloc borderless              ***/
/************************************/
div.bb {
}

div.bb div.btit{
	background-color : #2F8D99 ;
	color: white;
	width: 99%;
	height: 1.2em;
	margin:0;
	padding: 0.2em 0 0.3em 0.6em;
}

div.bb div.bdy {
	border: 0px;
	margin: 0px;
	padding: 0px;
}

/*marges externes (inter blocs) borderless. Le style CSS étant posé sur la DIV la plus englobante (portant le style bb), le style parent est bien div.b1 et non div.bb car un borderless peut être dans un bloc 1 ou 2*/
/*Aucune marge externe pour ce type de bloc*/


/**** marges internes (inter-bloc) borderless*/
/*marges internes (mi) intra-bloc lorsque le contenu d'un bloc Borderless sans boutons est un bloc niveau 2*/
div.bb div.miFld{
	padding: 0px;
}
/* marges internes (mi) intra-bloc d'un bloc borderless avec boutons - jamais appelé normalement*/
div.bb div.mibFld{
}



/************************************/
/*** bloc cadre                   					***/
/************************************/
div.bc {
}

div.bc div.bdy {
	background-color: #D5E8EB; 
	border:1px solid #D5E8EB; /* Pallier un bug d'affichage FireFox qui n'affiche pas dans ce cas) le background s'il n'y a pas de bordure*/
}
/**** marges externes (inter blocs) cadre. Le style CSS étant posé sur la DIV la plus englobante (portant le style bb), le style parent est bien div.b1 et non div.bb car un borderless peut être dans un bloc 1 ou 2*/
/*Aucune marge externe pour ce type de bloc*/

/**** marges internes (inter-bloc) cadre*/
/*marges internes (mi) intra-bloc lorsque le contenu d'un bloc Borderless sans boutons est un bloc niveau 2*/
/*marges internes (mi) intra-bloc lorsque le contenu d'un bloc Borderless sans boutons est un bloc niveau 2*/
div.bc div.miFld{
	padding: 0px;
}
/* marges internes (mi) intra-bloc d'un bloc borderless avec boutons - jamais appelé normalement*/
div.bc div.mibFld{
}







/*****************************************************************************************/
/*** Spécialisation des CSS de la skin par défaut INTERNET pour internetV2             ***/
/*****************************************************************************************/

/* bloc d'info */
div.vmebi {
    margin-bottom: 14px;
}

div.hmebi {
    margin-left: 12px;
}


div.bi {
	background : #FFFFFF;
	background: -webkit-linear-gradient(bottom, #E6E6E6, #FFFFFF 25px);
	background: -o-linear-gradient(bottom, #E6E6E6, #FFFFFF 25px);
	background: linear-gradient(to top, #E6E6E6, #FFFFFF 25px);
}

div.bi div.content {
    border: 1px solid #CCCCCC;
    border-radius: 4px 4px 4px 4px;
    position: relative;
    
    padding-top: 8px !important;
    padding-bottom: 10px;
    padding-left: 50px;
    margin-left: -1px;
    margin-top: -1px;
    
    background-image: url("../../internet/images/message/picto_info.png");
    background-repeat: no-repeat;
    background-position: 0px 0px;
    background-color: transparent !important;
    
    min-height: 30px;
    overflow-x: hidden;
}

div.bi div.bdy div.btit {
	float: none;
}

/* bloc niveau 1 - bloc filtre */
div.b1 div.bfil label.rdo{
	margin :0;
	padding: 0px 0.5em 0px 3px ;
	color: white;
	height: 1em;
}


/* bloc niveau 1 - bloc contenu */
div.b1 div.bdy {
	border: 1px solid #CCCCCC;	
	border-radius: 4px 4px 4px 4px;
	position: relative;
	top: -8px;
	padding-top: 6px !important;
	padding-bottom: 13px;
	height: 1%;
	background : #FFFFFF;
	background: -webkit-linear-gradient(bottom, #E6E6E6, #FFFFFF 25px);	
	background: -o-linear-gradient(bottom, #E6E6E6, #FFFFFF 25px);	
	background: linear-gradient(to top, #E6E6E6, #FFFFFF 25px);
}



div.b1 ol.bbtn {
    position: relative;
    top: -8px;
}

div.b1 div.b2 > div.bdy {
	background : transparent !important;
	border: none;	
    position: relative;
    top: 0;
}

div.b1 div.b2 ol.bbtn {
    position: relative;
    top: 0;
}

div.b1 div.b2 ol.nav {
    position: relative;
    top: 0;
}

div.bb div.bdy {
	background: transparent !important;
    border: 0 none;
}

div.bc div.bdy {
    border: 1px solid #D5E8EB;
	background: #D5E8EB !important;
    border-radius: 0 0 0 0;
    postion: relative;
    top: 0;
}

/*******************
 * Bloc pagination *
 *******************/
div.b1 ol.nav {	
	color: #C93269;
	border: 1px solid #999999;
	border-radius: 12px 12px 12px 12px;
	background : #FFFFFF;
    position: relative;
    top: -8px;
    margin: -8px 0 0 10px;
	background: -webkit-gradient(linear, left bottom, left top, from(#C0C0C0), color-stop(70%, #FFFFFF));
	background: -webkit-linear-gradient(bottom, #C0C0C0, #FFFFFF 70%);
	background: -o-linear-gradient(bottom, #C0C0C0, #FFFFFF 70%);
	background: linear-gradient(to top, #C0C0C0, #FFFFFF 70%);
}

/* Le no de la page courante sur le nombre de page*/
ol.nav li.pnb {
	color: #C93269;
 }

/* Bouton de navigation première page - enabled*/
ol.nav li.fst {
	background: url(../../internet/images/blocs/pagination_first_enabled.png) no-repeat center center;
}
/* Bouton de navigation première page - enabled + survol*/
ol.nav li.fst:hover {
	background: url(../../internet/images/blocs/pagination_first_over.png) no-repeat center center;
}
/* Bouton de navigation première page - disabled*/
ol.nav li.fst-dis {
	background: url(../../internet/images/blocs/pagination_first_disabled.png) no-repeat center center;
}

/* Bouton de navigation  page précédente - enabled*/
ol.nav li.prv {
	background: url(../../internet/images/blocs/pagination_previous_enabled.png) no-repeat center center;
}
/* Bouton de navigation  page précédente - enabled + survol*/
ol.nav li.prv:hover {
	background: url(../../internet/images/blocs/pagination_previous_over.png) no-repeat center center;
}
/* Bouton de navigation  page précédente - disabled*/
ol.nav li.prv-dis {
	background: url(../../internet/images/blocs/pagination_previous_disabled.png) no-repeat center center;
}

/* Bouton de navigation  page suivante - enabled*/
ol.nav li.nxt {
	background: url(../../internet/images/blocs/pagination_next_enabled.png) no-repeat center center;
}
/* Bouton de navigation  page suivante - enabled + survol*/
ol.nav li.nxt:hover {
	background: url(../../internet/images/blocs/pagination_next_over.png) no-repeat center center;
}
/* Bouton de navigation  page suivante - disabled*/
ol.nav li.nxt-dis {
	background: url(../../internet/images/blocs/pagination_next_disabled.png) no-repeat center center;
}

/* Bouton de navigation dernière page - enabled*/
ol.nav li.lst {
	background: url(../../internet/images/blocs/pagination_last_enabled.png) no-repeat center center;
}
/* Bouton de navigation dernière page - enabled + survol*/
ol.nav li.lst:hover {
	background: url(../../internet/images/blocs/pagination_last_over.png) no-repeat center center;
}
/* Bouton de navigation dernière page - disabled*/
ol.nav li.lst-dis {
	background: url(../../internet/images/blocs/pagination_last_disabled.png) no-repeat center center;
}

